﻿CREATE TABLE [consulenzaUnica].[dbo].[DettaglioPosizionePortafoglio] (
    [chiavePosizionePtf] bigint NOT NULL,
    [ctv] decimal(18,2) NULL,
    [copertura] decimal(18,2) NULL,
    [ctvNonAllocabile] decimal(18,2) NULL,
    [quantitaNominale] decimal(18,4) NULL,
    [partitaViaggiante] decimal(18,2) NULL,
    [ctvOut] decimal(18,2) NULL,
    [ctvIni] decimal(18,2) NULL,
    [dtSaldo] datetime NULL,
    [saldoDisponibile] decimal(18,2) NULL,
    [dtAggiornamento] datetime NULL,
    [dtInizioValidita] datetime NULL,
    [quantitaOut] decimal(18,2) NULL,
    [cvn] decimal(18,2) NULL,
    [rischioCreditoDecodificato] varchar(255) NULL,
    [varDecodificato] varchar(255) NULL,
    [liquidazioneTotale] bit NULL,
    [rendProdottoSottoscrizione] decimal(18,2) NULL,
    [rendProdottoTrimestre] decimal(18,2) NULL,
    [rendProdottoAnnuo] decimal(18,2) NULL,
    [quote] decimal(18,4) NULL,
    [dtRiferimento] datetime NULL,
    [valNomDivisa] decimal(18,2) NULL,
    [valore] decimal(18,2) NULL,
    [flagClawBack] bit NULL,
    [costoMedioPonderatoFiscale] decimal(18,4) NULL,
    [costoMedioPonderatoFiscaleDivisa] decimal(18,4) NULL,
    [cambioMedioPonderatoFiscale] decimal(18,4) NULL,
    [utilePerditaCarico] decimal(18,4) NULL,
    [percUtilePerditaCarico] decimal(18,2) NULL,
    [cambioMedioPonderatoFiscaleAttuale] decimal(18,4) NULL
);
GO

-- Popolamento tabella
-- INSERT INTO [consulenzaUnica].[dbo].[DettaglioPosizionePortafoglio]
-- SELECT * FROM [CONSUNI].[consulenzaUnica].[dbo].[DettaglioPosizionePortafoglio];
-- GO