﻿--C6_S_Generator 4,806
CREATE PROCEDURE [dbo].[C6_S_Generator]
@idReport as int,
@idModello as int
AS
BEGIN
	SET NOCOUNT ON;
declare @idFkTipoCheck as int
set @idFkTipoCheck = 1
SELECT 
		[C6Report].[id] as idReport
		,[C6Report].[nome] as nomeReport
        ,[C6Capitolo].[id] as idCapitolo
		,C6ReportCapitolo.ordineCapitolo as ordineCapitolo
		,[C6Capitolo].[titolo] as titoloCapitolo
		,[C6Capitolo].[testo] as testoCapitolo
		,[C6Capitolo].[nuovapagina] as nuovaPaginaCapitolo
		,[C6Capitolo].[queryOracle] as queryOracleCapitolo
		,[C6Capitolo].[querySql] as querySqlCapitolo
		,[C6Paragrafo].[id] as idParagrafo
		,C6CapitoloParagrafo.ordineParagrafo as ordineParagrafo
		,[C6Paragrafo].[titolo] as titoloParagrafo
		,[C6Paragrafo].[sottoTitoloQuery] as sottoTitoloParagrafo
		,[C6Paragrafo].[testo] as testoParagrafo
		,isnull([C6Paragrafo].[queryOracle],'') as queryOracleParagrafo
		,C6CapitoloParagrafo.indicizzato as indicizzatoParagrafo
		,isnull([C6Paragrafo].[querySql],'') as querySqlParagrafo
		,[C6ParagrafoSezione].ordineSezione as ordineSezione
		,[C6Sezione].id as idSezione
		,[C6Sezione].[codice] as codiceSezione
		,[C6ParagrafoSezione].[vincolata] as vincolataSezione
		,isnull([C6Sezione].[queryOracle],'') as queryOracleSezione
		,[C6ParagrafoSezione].indicizzato as indicizzatoSezione
		,isnull([C6Sezione].[querySql],'') as querySqlSezione
		,[C6ParagrafoSezione].[filtroDataView] as filtroSezione
		,[C6ParagrafoSezione].[titolo] as titoloSezione
		,isnull([C6ParagrafoSezione].[testo],'') as testoSezione
		,isnull([C6ParagrafoSezione].[testo1] ,'') as testoSezioneAlternativo
		,isnull([C6ParagrafoSezione].[nota],'') as notaSezione
		,isnull([C6ParagrafoSezione].[nota1],'') as notaSezioneAlternativo
		,cast(0 as bit) as rigaProcessata
FROM dbo.C6Report
	INNER JOIN dbo.C6ReportCapitolo 
		ON dbo.C6Report.id = dbo.C6ReportCapitolo.idFkReport
		AND dbo.C6Report.id = @idReport
	INNER JOIN dbo.C6Capitolo
		ON dbo.C6Capitolo.id = dbo.C6ReportCapitolo.idFkCapitolo 
	INNER JOIN dbo.C6CapitoloParagrafo
		ON dbo.C6Capitolo.id = dbo.C6CapitoloParagrafo.idFkCapitolo
	INNER JOIN dbo.C6Paragrafo
		ON dbo.C6Paragrafo.id = dbo.C6CapitoloParagrafo.idFkParagrafo
	INNER JOIN dbo.C6ParagrafoSezione
		ON dbo.C6ParagrafoSezione.idFkParagrafo = dbo.C6Paragrafo.id
	INNER JOIN dbo.C6Sezione
		ON dbo.C6Sezione.id = dbo.C6ParagrafoSezione.idFkSezione
	INNER JOIN dbo.C6_SezioneC6Sezione
		ON dbo.C6_SezioneC6Sezione.idFkC6Sezione = dbo.C6Sezione.id
	INNER JOIN dbo.Sezione
		ON dbo.C6_SezioneC6Sezione.idFkSezione = dbo.Sezione.IdSezione
		and dbo.Sezione.idFkTipoCheck = @idFkTipoCheck
	INNER JOIN dbo.ReportSezionePers
		ON dbo.ReportSezionePers.IdSezione = dbo.Sezione.IdSezione
		AND  dbo.ReportSezionePers.idReport = @idModello
ORDER BY ordineCapitolo,ordineParagrafo,ordineSezione
END