﻿CREATE TABLE [dbo].[trace] (
#x0D;
	[RowNumber] int NOT NULL IDENTITY(0,1),&#x0D;
	[EventClass] int NULL,&#x0D;
	[TextData] ntext NULL,&#x0D;
	[DatabaseID] int NULL,&#x0D;
	[TransactionID] bigint NULL,&#x0D;
	[LineNumber] int NULL,&#x0D;
	[HostName] nvarchar(128) NULL,&#x0D;
	[ApplicationName] nvarchar(128) NULL,&#x0D;
	[LoginName] nvarchar(128) NULL,&#x0D;
	[SPID] int NULL,&#x0D;
	[StartTime] datetime NULL,&#x0D;
	[State] int NULL,&#x0D;
	[RequestID] int NULL,&#x0D;
	[EventSequence] bigint NULL,&#x0D;
	[Offset] int NULL,&#x0D;
	[Duration] bigint NULL,&#x0D;
	[EndTime] datetime NULL,&#x0D;
	[Reads] bigint NULL,&#x0D;
	[Writes] bigint NULL,&#x0D;
	[CPU] int NULL,&#x0D;
	[RowCounts] bigint NULL,&#x0D;
	[ObjectType] int NULL,&#x0D;
	[ObjectName] nvarchar(128) NULL,&#x0D;
	[BinaryData] image NULL
)
ALTER TABLE [dbo].[trace] ADD CONSTRAINT [PK__trace__1308BEAA] PRIMARY KEY CLUSTERED ([RowNumber])
GO